#ifndef _PROFILER_H
#define _PROFILER_H


//#define PROFILER_ENABLED

// profiler definitions
enum
{
    PF_PCINT0_vect,
	PF_TIMER0_COMPA_vect,
};


static inline void profiler_init(void)
{
#ifdef PROFILER_ENABLED
	DDRB |= _BV(PB3);
#endif
};

// set the test pin
static inline void profiler_set(void)
{
	PORTB |= _BV(PB3);
}

// clear the test pin
static inline void profiler_clear(void)
{
	PORTB &= ~_BV(PB3);
}

#ifdef PROFILER_ENABLED
#define PROFILE_ENTER(n) profiler_set()
#define PROFILE_EXIT(n) profiler_clear()
#else
#define PROFILE_ENTER(n)
#define PROFILE_EXIT(n)
#endif

#endif
